//============================================================================
// nodraw ladder - use on brushes wrapping objects to be climbed
//============================================================================

textures/skies/redsky
{
	
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 250
	surfaceparm sky
	skyparms env/redsky/redsky - -


	
}

textures/000mecagoento/ladderclip
{
	qer_editorimage textures/000mecagoento/ladder-rad.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

textures/000mecagoento/00shader
{
qer_editor_image textures/000mecagoento/transparente.tga
surfaceparm nolightmap
nopicmip
cull disable
{
map textures/000mecagoento/transparente.tga
alphaFunc GE128
depthWrite
rgbGen vertex
}
}

textures/000mecagoento/00traspasable
{
qer_editorimage textures/000mecagoento/grave1.tga
surfaceparm nonsolid
{
map textures/000mecagoento/grave1.tga
}
}

textures/000mecagoento/00transtrasp
{
qer_editor_image textures/000mecagoento/transparente.tga
surfaceparm nolightmap
surfaceparm nonsolid
nopicmip
cull disable
{
map textures/000mecagoento/transparente.tga
alphaFunc GE128
depthWrite
rgbGen vertex
}
}

textures/000mecagoento/drapsnake01
{

qer_editorimage textures/000mecagoento/drapsnake01.tga        
	cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
        tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
            //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/000mecagoento/drapsnake01.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}

textures/000mecagoento/drapslave01
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/000mecagoento/drapslave01.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}


textures/000mecagoento/drapslave02
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/000mecagoento/drapslave02.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

textures/000mecagoento/drapthalsa_rojablanca01
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/000mecagoento/drapthalsa_rojablanca01.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}


textures/000mecagoento/drapslave_lionbig
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/000mecagoento/drapslave_lionbig.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}



textures/000mecagoento/verja9
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/000mecagoento/verja9.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

//grille new
textures/000mecagoento/grille01
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	//surfaceparm nonsolid
	//surfaceparm nomarks
      sort banner
	nopicmip 
	nomipmaps

	{ 
   		
            map textures/000mecagoento/grille01.tga
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite   
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen vertex
	}


}


textures/000mecagoento/otraverja
{
        qer_editorimage textures/000mecagoento/otraverja.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/000mecagoento/otraverja.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//iron fence with alpha channel

textures/000mecagoento/ironfence
{
	qer_editorimage textures/000mecagoento/ironfence.tga
    	qer_trans .75
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/000mecagoento/ironfence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/000mecagoento/corona_amber
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/000mecagoento/corona_amber.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/000mecagoento/corona_amber2
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/000mecagoento/corona_amber2.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/000mecagoento/corona_amber3
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/000mecagoento/corona_amber3.tga
            blendFunc GL_ONE GL_ONE
          }
}

//alpha channelled trees

textures/000mecagoento/treesalpha
{
	surfaceparm nomarks
	qer_editorimage textures/000mecagoento/treesalpha.tga
  	qer_trans .75
	cull none


	

	{
		map textures/000mecagoento/treesalpha.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}


}

textures/000mecagoento/lazerbeam
{
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
    cull none

          {
            clampmap textures/000mecagoento/lazerbeam.jpg
            blendFunc GL_ONE GL_ONE
		animMap 10 textures/asylum/lazerbeam7.tga textures/asylum/lazerbeam6.tga textures/asylum/lazerbeam5.tga textures/asylum/lazerbeam4.tga textures/asylum/lazerbeam3.tga textures/asylum/lazerbeam2.tga textures/asylum/lazerbeam1.tga textures/asylum/lazerbeam.tga 
         }
}

textures/000mecagoento/ter_rock2
{
	q3map_nonplanar
	q3map_shadeangle 45
        qer_editorimage textures/000mecagoento/ter_rock2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/000mecagoento/ter_rock2.tga
		blendFunc filter
	}
}

